petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoGetIterationNumber

Gets the number of Tao iterations completed at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetIterationNumber(Tao tao,PetscInt *iter)

Not Collective

### Input Parameter

tao -Tao context

### Output Parameter

iter -iteration number

### Notes

For example, during the computation of iteration 2 this would return 1.

### Keywords

Tao, nonlinear, get, iteration, number,

### See Also

TaoGetLinearSolveIterations()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages